# PathFillType enum

Determines the winding rule that decides how the interior of a Path is calculated.

This enum is used by the Path.fillType property.

## Constants

evenOdd → const PathFillType

  The interior is defined by an odd number of edge crossings.

  For a given point, the point is considered to be on the inside of the path if a line drawn from the point to infinity crosses an odd number of lines.

  See: en.wikipedia.org/wiki/Even-odd_rule

  `const PathFillType(1)`
nonZero → const PathFillType

  The interior is defined by a non-zero sum of signed edge crossings.

  For a given point, the point is considered to be on the inside of the path if a line drawn from the point to infinity crosses lines going clockwise around the point a different number of times than it crosses lines going counter-clockwise around that point.

  See: en.wikipedia.org/wiki/Nonzero-rule

  `const PathFillType(0)`
values → const List<PathFillType>

  A constant List of the values in this enum, in order of their declaration.

  `const List<PathFillType>`

## Properties

index → int

  The integer index of this enum.

  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited